%define name xmms-goom
%define version 1.99.4
%define release 2mdk

%define _xmmsoutputdir %(xmms-config --visualization-plugin-dir)

Summary: A neat visual plugin for XMMS.
Name: %name
Version: %version
Release: %release
License: GPL
Group: Sound
URL: http://goom.sourceforge.net/
Source: goom-%{version}-src.tar.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: xmms 
BuildPrereq: xmms-devel, gtk+-devel
ExclusiveArch: %ix86

%description
A great visual plugins for XMMS.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n goom-%version

%build

%configure --libdir=%{_xmmsoutputdir}

%make

%install

%makeinstall libdir=%{buildroot}/%{_xmmsoutputdir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS BENCHMARKS COPYING ChangeLog INSTALL KNOWNBUGS 
%doc NEWS README 
%{_xmmsoutputdir}/libgoom.*

%changelog
* Sat Feb 01 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.99.4-2mdk
- ExclusiveArch: %%ix86

* Sat Jan 25 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.99.4-1mdk
- 1.99.4

* Sun Jan  6 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Initial RPM release.

